> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toffeepay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Offers

> List hub offers



## OpenAPI

````yaml GET /v1alpha1/offers
openapi: 3.1.0
info:
  title: ToffeePay API
  description: Public API for game partners
  version: 0.1.1
servers:
  - url: https://api.toffeepay.com
    description: Production
  - url: https://api.sandbox.toffeepay.com
    description: Sandbox
security:
  - BearerAuth: []
paths:
  /v1alpha1/offers:
    get:
      summary: ListOffers
      description: List hub offers
      operationId: OfferService_ListOffers
      parameters:
        - name: game_id
          in: query
          required: true
          schema:
            type: string
            title: game_id
        - name: user_id
          in: query
          schema:
            type: string
            title: user_id
        - name: countries
          in: query
          description: 'ISO 3166-1 alpha-2: "US", "GB", "DE"'
          schema:
            type: array
            items:
              type: string
              maxLength: 2
              minLength: 2
              pattern: ^[A-Z]{2}$
            title: countries
        - name: currencies
          in: query
          schema:
            type: array
            items:
              type: string
              enum:
                - USD
                - GBP
                - EUR
            title: currencies
        - name: limit
          in: query
          description: 'default: 100'
          schema:
            exclusiveMinimum: 0
            type: integer
            title: limit
            maximum: 250
            format: int32
        - name: offset
          in: query
          schema:
            type: integer
            title: offset
            minimum: 0
            format: int32
        - name: from
          in: query
          schema:
            type: string
            format: date-time
        - name: to
          in: query
          schema:
            type: string
            format: date-time
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/hub.v1alpha1.Offer'
                title: offers
components:
  schemas:
    hub.v1alpha1.Offer:
      type: object
      properties:
        id:
          type: string
          title: id
        game_id:
          type: string
          title: game_id
        user_id:
          type:
            - string
            - 'null'
          title: user_id
        reference:
          type:
            - string
            - 'null'
          title: reference
        title:
          type: string
          title: title
        description:
          type:
            - string
            - 'null'
          title: description
        image:
          type: string
          title: image
          pattern: ^(https?://|data:)
        category:
          type: string
          title: category
        label:
          type:
            - string
            - 'null'
          title: label
        status:
          type: string
          title: status
          enum:
            - inactive
            - active
        items:
          type: array
          items:
            $ref: '#/components/schemas/hub.v1alpha1.OfferItem'
          title: items
          minItems: 1
        price:
          exclusiveMinimum: 0
          type: integer
          title: price
          format: int32
        currency:
          type: string
          title: currency
          enum:
            - USD
            - GBP
            - EUR
        stock:
          exclusiveMinimum: 0
          type:
            - integer
            - 'null'
          title: stock
          format: int32
        country:
          type: string
          title: country
          maxLength: 2
          minLength: 2
          pattern: ^[A-Z]{2}$
          description: 'ISO 3166-1 alpha-2: "US", "GB", "DE"'
        return_url:
          type: string
          title: return_url
          format: uri
        wallet_enabled:
          type: boolean
          title: wallet_enabled
        created_at:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: created_at
        updated_at:
          $ref: '#/components/schemas/google.protobuf.Timestamp'
          title: updated_at
      title: Offer
      required:
        - id
        - game_id
        - title
        - image
        - category
        - status
        - items
        - price
        - currency
        - country
        - wallet_enabled
        - created_at
        - updated_at
      additionalProperties: false
    hub.v1alpha1.OfferItem:
      type: object
      properties:
        id:
          type: string
          title: id
        icon:
          type: string
          title: icon
          pattern: ^(https?://|data:)
        amount:
          exclusiveMinimum: 0
          type: integer
          title: amount
          format: int32
      title: OfferItem
      required:
        - id
        - icon
        - amount
      additionalProperties: false
    google.protobuf.Timestamp:
      type: string
      format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````